<?php
session_start();
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

     header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   extract($_POST);
   
   if($cd==null && $consec==null){
   
	echo "
	<center><br><br><font size=\"+3\" color=\"blue\">Cambiar tipo de pago a pedido</font>
    <br><br>

	

	<form name=\"Busqueda\" action=\"cambiopago.php\" method=\"post\">

	N&uacute;mero de pedido a cambiar : <input type=\"text\" name=\"cd\" size=\"3\" maxlength=\"2\">-<input type=\"text\" name=\"consec\" size=\"10\" maxlength=\"5\">
						
							 <input type=\"submit\" value=\"Buscar\" name=\"boton_buscar\">
	</form></center>";

	
}
else{
	
	
	$q2 = "SELECT rfc, nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, efectivo, deposito, tarjeta, regalias, voucher, porpagar, consec, usuarios_ci_idusuarios_ci, cdentrega, statusentrega, inversionista_id_inver, nombrec FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones left join otrasal on transacciones.idtransacciones=otrasal.idtransacciones
  WHERE usuarios_ci_idusuarios_ci=$cd and consec=$consec";
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  if(mysqli_affected_rows($conexion))
   {
 
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $rfc = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $cantidad = $r1[4];
	  $puntos = $r1[5];
	  $fecha = $r1[6];
	  $idtrans = $r1[7];
	  $tipo = $r1[8];
	   $ef = $r1[9];
	    $de = $r1[10];
		 $ta = $r1[11];
		  $re = $r1[12];
		   $vo = $r1[13];
		    $pp = $r1[14];
			 $consec = $r1[15];
			 $cd = $r1[16];
			 $cde = $r1[17];
			 $ste = $r1[18];
			 $inv = $r1[19];
			 $a20 = $r1[20];

	      $nombrecliente="$a1 $a2 $a3";
	  if($tipo==10){$tiponota='VENTA';   	  }
	  if($tipo==11){ $tiponota='SALIDA';  	  } 
	  if($tipo==1){ $tiponota='CANCEL';  	  } 
		if($tipo==6){ $tiponota='OTRASAL';  $nombrecliente=$r1[20];  } 
	
   }

  
   
   
   echo"<center><br><font size=\"+3\" color=\"blue\">Cambiar tipo de pago a pedido</font>
    <br><br><font size=\"+2\">Pedido No. <b>$cd"."-"."$consec</b> Transacci&oacute;n <b>$idtrans</b></font><br>
    
    <br><br>Informaci&oacute;n del Pedido<br>
	<table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
	<tr><th>Pedido</th><th>RFC</th><th>Nombre</th><th>Tipo</th><th>CD</th><th>CDE</th><th>Status</th></tr>
	<tr><td>$cd"."-"."$consec</td><td>$rfc</td><td>$nombrecliente</td><td>$tiponota</td><td>$cd</td><td>$cde</td><td>$ste</td></tr>
	</table><br>";
	
	
   $qPP = "select id_prod, nombreProd, precio, puntos, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$idtrans order by nombreProd";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
echo"<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Precio</th><th>Puntos</th><th>Cantidad</th>";



while (($objetoPP=mysqli_fetch_object($rPP)) )

{

	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			<td align=\"center\">$ $objetoPP->precio</td><td align=\"center\">$objetoPP->puntos</td>
		
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cant</td>

		

		  </tr> 

		 ";

   

}
echo"</table><br><table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
	<tr><th>Cantidad</th><th>Puntos</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th></tr>
	<tr><td>$cantidad</td><td>$puntos</td><td>$ef</td><td>$de</td><td>$ta</td><td>$re</td><td>$vo</td><td>$pp</td></tr>
	</table>";
	
	
if($re>0 || $vo>0){
	
	echo"<br><br><font size=\"+2\" color=\"red\">Este pedido fue pagado con regalias o voucher <br> Es necesario cancelar el pedido y volverlo a hacer</font>";
	
	
	
	
}	else{
	
	echo"<hr><br><br><font size=\"+2\" color=\"blue\">Esta opci&oacute;n es unicamente para cambio en tipo de pago  pagado en una sola exhibici&oacute;n<br>Para pago de pr&eacute;stamos o pago con dep&oacute;sitos multiples, utilizar pagar pedido.</font>";
	
	echo"<center><br><br><font size=\"+3\"><b>Nueva forma de pago</b></font><br><br><font size=\"+2\" color=\"red\">Utilizar unicamente n&uacute;meros y punto decimal</font><br><br>
	<form name=\"Agrega2\" action=\"cambiopago2.php\" method=\"post\">
	<table border=\"1\">
	<tr><td><b>Efectivo</b></td><td>$</td><td><input type=\"text\" name=\"ef1\" value=\"$ef\" size=\"+5\"></td><td></td></tr>
	<tr><td><b>Deposito</b></td><td>$</td><td><input type=\"text\" name=\"de1\" value=\"$de\" size=\"+5\"></td><td>";
	$q2 = "SELECT * from bancos  WHERE 1 ";
  
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  echo"Banco: <select name = \"banco\">";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];  
	  
echo"<option value=\"$a0\">$a1 $a2</option>";
	}

		
		echo"
				<option value=\"0\">Otro</option>
			</select>
	
	
	
	</td></tr>
	<tr><td><b>Tarjeta</b></td><td>$</td><td><input type=\"text\" name=\"ta1\" value=\"$ta\" size=\"+5\"></td><td>
	<input type=\"checkbox\" name=\"comision\" value=\"si\"> Aplica comisi&oacute;n 4%
	</td></tr>
	<tr><td><b>Por Pagar</b></td><td>$</td><td><input type=\"text\" name=\"pp1\" value=\"$pp\" size=\"+5\"></td><td></td></tr>
	</table><input type=hidden name=idped value=$idtrans />
	<br><input type=\"submit\" name=\"lista2\"  value=\"Continuar\" /></form></center>";

	
	
	
	
	
}		
	
	
	
	
}
	
   
}
   

?>

